SpecializationUtil.registerSpecialization("BioGasResiduesTool", "BioGasResiduesTool", g_currentModDirectory.."BioGasResiduesTool.lua")

Residues_Register = {};

function Residues_Register:loadMap(name)
	if self.firstRun == nil then
		self.firstRun = false;
		print("--- loading biogas residues tool as part of BGAextension mod V2.1 ---")
		
		for k, v in pairs(VehicleTypeUtil.vehicleTypes) do
			if v ~= nil then
				local allowInsertion = true;
				for i = 1, table.maxn(v.specializations) do
					local vs = v.specializations[i];
					if vs ~= nil and vs == SpecializationUtil.getSpecialization("sprayer") then
						local v_name_string = v.name 
						local point_location = string.find(v_name_string, ".", nil, true)
						if point_location ~= nil then
							local _name = string.sub(v_name_string, 1, point_location-1);
							if rawget(SpecializationUtil.specializations, string.format("%s.BioGasResiduesTool", _name)) ~= nil then
								allowInsertion = false;								
							end;							
						end;
						if allowInsertion then	
							table.insert(v.specializations, SpecializationUtil.getSpecialization("BioGasResiduesTool"));							
						end;
					end;
				end;
			end;	
		end;
	end;
end;

function Residues_Register:deleteMap()
  
end;

function Residues_Register:keyEvent(unicode, sym, modifier, isDown)

end;

function Residues_Register:mouseEvent(posX, posY, isDown, isUp, button)

end;

function Residues_Register:update(dt)
	
end;

function Residues_Register:draw()
  
end;

addModEventListener(Residues_Register);